uk.ac.starlink.pds4

## Interface Table

- All Known Subinterfaces:
    BaseTable, DelimitedTable

      public interface Table

  Common interface for PDS4 Table_* elements.
  Since:
    24 Nov 2021
  See Also:
    PDS4 Common Data Dictionary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordItem[]` | `getContents()` Returns the fields and groups defining the record structure of this table.
    `java.lang.String` | `getDescription()` Returns the description for this table.
    `java.lang.String` | `getFileName()` Returns the file_name for the file containing this table's data (not the label file).
    `java.lang.String` | `getLocalIdentifier()` Returns the local_identifier for this table.
    `java.lang.String` | `getName()` Returns the name of this table.
    `long` | `getOffset()` Gives byte offset into data file of data for this table.
    `long` | `getRecordCount()` Returns the number of records in this table.
    `TableType` | `getTableType()` Indicates what type of PDS4 table this is.

- - ### Method Detail

    - #### getFileName

          java.lang.String getFileName()

      Returns the file_name for the file containing this table's data (not the label file). This location is interpreted as relative to the label file.
      Returns:
        name of data file

    - #### getTableType

          TableType getTableType()

      Indicates what type of PDS4 table this is.
      Returns:
        table type

    - #### getOffset

          long getOffset()

      Gives byte offset into data file of data for this table.
      Returns:
        data byte offset

    - #### getRecordCount

          long getRecordCount()

      Returns the number of records in this table.
      Returns:
        record count

    - #### getName

          java.lang.String getName()

      Returns the name of this table.
      Returns:
        table name, may be null

    - #### getLocalIdentifier

          java.lang.String getLocalIdentifier()

      Returns the local_identifier for this table.
      Returns:
        local identifier, may be null

    - #### getDescription

          java.lang.String getDescription()

      Returns the description for this table.
      Returns:
        description, may be null

    - #### getContents

          RecordItem[] getContents()

      Returns the fields and groups defining the record structure of this table.
      Returns:
        record item array